package com.ruoyi.mall.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.mall.mapper.MallShopExpressCodeMapper;
import com.ruoyi.mall.domain.MallShopExpressCode;
import com.ruoyi.mall.service.IMallShopExpressCodeService;

/**
 * 快递编码Service业务层处理
 * 
 * @author chang
 * @date 2021-11-25
 */
@Service
public class MallShopExpressCodeServiceImpl implements IMallShopExpressCodeService 
{
    @Autowired
    private MallShopExpressCodeMapper mallShopExpressCodeMapper;

    /**
     * 查询快递编码
     * 
     * @param id 快递编码主键
     * @return 快递编码
     */
    @Override
    public MallShopExpressCode selectMallShopExpressCodeById(Long id)
    {
        return mallShopExpressCodeMapper.selectMallShopExpressCodeById(id);
    }

    /**
     * 查询快递编码列表
     * 
     * @param mallShopExpressCode 快递编码
     * @return 快递编码
     */
    @Override
    public List<MallShopExpressCode> selectMallShopExpressCodeList(MallShopExpressCode mallShopExpressCode)
    {
        return mallShopExpressCodeMapper.selectMallShopExpressCodeList(mallShopExpressCode);
    }

    /**
     * 新增快递编码
     * 
     * @param mallShopExpressCode 快递编码
     * @return 结果
     */
    @Override
    public int insertMallShopExpressCode(MallShopExpressCode mallShopExpressCode)
    {
        return mallShopExpressCodeMapper.insertMallShopExpressCode(mallShopExpressCode);
    }

    /**
     * 修改快递编码
     * 
     * @param mallShopExpressCode 快递编码
     * @return 结果
     */
    @Override
    public int updateMallShopExpressCode(MallShopExpressCode mallShopExpressCode)
    {
        return mallShopExpressCodeMapper.updateMallShopExpressCode(mallShopExpressCode);
    }

    /**
     * 批量删除快递编码
     * 
     * @param ids 需要删除的快递编码主键
     * @return 结果
     */
    @Override
    public int deleteMallShopExpressCodeByIds(Long[] ids)
    {
        return mallShopExpressCodeMapper.deleteMallShopExpressCodeByIds(ids);
    }

    /**
     * 删除快递编码信息
     * 
     * @param id 快递编码主键
     * @return 结果
     */
    @Override
    public int deleteMallShopExpressCodeById(Long id)
    {
        return mallShopExpressCodeMapper.deleteMallShopExpressCodeById(id);
    }
}
